;+
;
; @file_comments
; End the drawing if needed when it is a postscript.
;
; @categories
; Utilities, Graphics
;
; @keyword POST
; Make a postscript. Only works if we made one drawing on the page.
; If we make several drawing, use \@<pro>ps</pro>.
;
; @keyword SMALL {type=vector}
; Vector composed of 3 or 4 elements, applied to make a drawing on a
; small portion of a page or screen. It delimit the zone where the drawing will be done.
;     If there is 4 elements:
; then is constituted of coordinates (expressed in cm located from the up and
; left corner of the page or the window (in portrait like in landscape)) of the bottom
; and left corner and of the up and right corner of the drawing zone.
;     If there is 3 elements:
; in this case, we divide the page or the screen in small[0] columns and in small[1] lines
; the drawing made in the box numbered small[2]. The numerotation starting up and left by
; the number 1 and then, following the writing direction.
; By default, we make the largest drawing we can do, conserving the aspect rapport
; (except when REMPLI is activated).
;
; @keyword _EXTRA
; Used to pass keywords
;
; @uses
; common.pro
;
; @history
; Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                       3/6/1999
;
; @version
; $Id$
;
;-
;
PRO terminedessin, POST = post, SMALL = small, _EXTRA = ex
;
  compile_opt idl2, strictarrsubs
;
@cm_4ps
  IF NOT keyword_set(key_forgetold) THEN BEGIN
@updatenew
@updatekwd
  ENDIF
;---------------------------------------------------------
   if keyword_set(post) then BEGIN
      if keyword_set(small) then $
      if total(small) NE $
        (page_margins[2]+page_margins[0]+total(page_size) $
         -page_margins[1]-page_margins[3]) then return
      closeps
      printps
   endif
   return
end
